<?php

session_start();
if(!isset($_SESSION['id']) || $_SESSION['id']=='')
{
    http_response_code(401);
    echo json_encode('Authentication Problem');
    exit;
}
if(!isset($_SESSION['user_type']) || ($_SESSION['user_type'] != 'admin'))
{
    //http_response_code(401);
   // echo json_encode('Authentication Problem');
   // exit;
}

/*include_once "../ichat/admin/route.php";
require_once 'database.php';
if(isset($_SESSION[$elhash]) && $_SESSION[$elhash] != "") { 
    $random_hash = $_SESSION[$elhash];
} else {
    $random_hash = uniqid();
    $_SESSION[$elhash] = $random_hash;
}*/

require_once 'database.php';

class Submit extends database
{
    public function index($data)
    {
        return $this->insert('comments', $data);
    }
}

if(!isset($_POST['data']) || $_POST['data']== "")
{
    http_response_code(400);
    echo json_encode(['Data Not Found']);
    exit;
}
$data = $_POST['data'];

if(trim($data['comment']) == '')
{
    http_response_code(400);
    echo json_encode(['Comment Is Empty']);
    exit;
}

$ins = new Submit();

$msg = "";
$res = $ins->index($data);
if($res)
{
    http_response_code(200);
    echo json_encode('Comment Submitted Successfully');
    exit;
}
                
http_response_code(500);
echo json_encode(['Something went wrong']);
exit;
?>